> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Hide Room > Hide rooms without restrictions based on type. You can only hide a room if you have access to it. ### Changelog | Version | Description | | ------- | ------------------------------------ | | 7.4.0 | Added | ## OpenAPI ````json POST /api/v1/rooms.hide { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.hide": { "post": { "summary": "Hide Room", "tags": [ "Rooms" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } }, "x-examples": { "Example 1": { "success": true } } }, "examples": { "Example 1": { "value": { "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" } }, "x-examples": { "Example 1": { "success": false, "error": "must have required property 'roomId' [invalid-params]", "errorType": "invalid-params" } } }, "examples": { "Error due to missing roomId": { "value": { "success": false, "error": "must have required property 'roomId' [invalid-params]", "errorType": "invalid-params" } }, "Room already hidden error": { "value": { "success": false, "error": "error-room-already-hidden" } } } } } }, "401": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } }, "x-examples": { "Example 1": { "success": false, "error": "unauthorized" } } }, "examples": { "Example 1": { "value": { "success": false, "error": "unauthorized" } } } } } } }, "operationId": "post-api-v1-rooms.hide", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "roomId": { "type": "string" } }, "x-examples": { "Example 1": { "roomId": "6759dea438288929cff551c" } } }, "examples": { "Request body with roomId": { "value": { "roomId": "6759dea438288929cff551c" } } } } } }, "description": "Hide rooms without restrictions based on type. You can only hide a room if you have access to it.\n\n### Changelog\n\n| Version | Description |\n| ------- | ------------------------------------ |\n| 7.4.0 | Added |\n" } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````